// priority 5
// Script creado por Nebula240
// Esto es dentro de todo un script intermedio
// Si buscas aprender un poco contactame por discord
// En el discord oficial de The Cube Reborn
// event.add('', [])
onEvent('item.tags', event => {
    event.add('forge:ingots/steel', 'relics:steel_ingot')
    event.add('forge:oak_trees', ['minecraft:oak_sapling', 'biomesoplenty:origin_sapling', 'biomesoplenty:flowering_oak_sapling', 'biomesoplenty:maple_sapling'])
    event.add('forge:special_trees', ['biomesoplenty:jacaranda_sapling', 'biomesoplenty:white_cherry_sapling', 'biomesoplenty:pink_cherry_sapling', 'biomesoplenty:magic_sapling'])
    event.add('forge:tropical_trees', ['biomesoplenty:palm_sapling', 'biomesoplenty:mahogany_sapling', 'minecraft:acacia_sapling'])
    event.add('forge:birch_trees', ['biomesoplenty:rainbow_birch_sapling', 'minecraft:birch_sapling', 'biomesoplenty:yellow_autumn_sapling'])
    event.add('forge:jungle_trees', ['minecraft:jungle_sapling'])
    event.add('forge:tundra_trees', ['biomesoplenty:fir_sapling', 'minecraft:spruce_sapling', 'biomesoplenty:redwood_sapling'])
    event.add('forge:fire_eggs', ['iceandfire:dragonegg_red', 'iceandfire:dragonegg_green', 'iceandfire:dragonegg_bronze', 'iceandfire:dragonegg_gray'])
    event.add('forge:ice_eggs', ['iceandfire:dragonegg_blue', 'iceandfire:dragonegg_white', 'iceandfire:dragonegg_sapphire', 'iceandfire:dragonegg_silver'])
    event.add('forge:elec_eggs', ['iceandfire:dragonegg_electric', 'iceandfire:dragonegg_amythest', 'iceandfire:dragonegg_copper', 'iceandfire:dragonegg_black'])
})
onEvent('recipes', event => { 
    event.remove({output: 'iceandfire:fire_stew'})
    event.remove({output: 'iceandfire:frost_stew' })
    event.remove({output: 'iceandfire:lightning_stew' })
    event.remove({output: 'magicfeather:magicfeather'})
    event.remove({output: 'netherite_plus:netherite_shield'})
    event.remove({output: 'securitycraft:universal_block_reinforcer_lvl3'})
    event.remove({output: 'locks:steel_lock_mechanism'})
    event.remove({output: 'aoa3:precasia_realmstone'})
    event.remove({output: 'securitycraft:keypad_chest'})
    event.remove({output: 'anointeditems:anointing_table'})
    event.remove({output: 'securitycraft:keypad_furnace'})
    event.remove({output: 'securitycraft:keypad'})
    event.remove({output: 'securitycraft:keypad_item'})
    event.remove({output: 'iceandfire:dragonbone_arrow'})
    event.remove({output: 'grapplemod:repeller'})
    event.remove({output: 'grapplemod:launcheritem'})
    event.remove({output: 'grapplemod:forcefieldupgradeitem'})
    event.remove({output: 'grapplemod:motorupgradeitem'})
    event.remove({output: 'grapplemod:rocketupgradeitem'})
    event.remove({output: 'grapplemod:staffupgradeitem'})
    //Reemplazos
    event.replaceOutput({type: 'minecraft:blasting', input: 'iceandfire:copper_ore'}, 'iceandfire:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:smelting', input: 'iceandfire:copper_ore'}, 'iceandfire:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:blasting', input: 'cavesandcliffs:copper_ore'}, 'cavesandcliffs:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:smelting', input: 'cavesandcliffs:copper_ore'}, 'cavesandcliffs:copper_ingot', 'create:copper_ingot')
    event.replaceInput({ mod: 'iceandfire' }, 'iceandfire:copper_ingot', 'create:copper_ingot'),
    event.replaceInput({ mod: 'cavesandcliffs' }, 'cavesandcliffs:copper_ingot', 'create:copper_ingot'),
    //Outputs
    event.blasting('relics:steel_ingot', 'minecraft:iron_ingot')
    //Recetas
    //SecurityCraft
    event.shaped('securitycraft:keypad_chest',
    [
        'IRI',
        'RCR',
        'IRI'
    ], {
        I: 'relics:steel_ingot',
        R: 'minecraft:iron_ingot',
        C: 'securitycraft:keycard_lv1',
    }
    );
    event.shaped('securitycraft:keypad',
    [
        'III',
        'ICI',
        'III'
    ], {
        I: 'relics:steel_ingot',
        C: 'securitycraft:keycard_lv5',
    }
    );
    event.shaped('securitycraft:keypad_furnace',
    [
        'RIR',
        'ICI',
        'RIR'
    ], {
        I: 'relics:steel_ingot',
        C: 'securitycraft:keycard_lv1',
        R: 'minecraft:iron_ingot',
    }
    );
    event.shaped('aoa3:precasia_realmstone',
        [
            'OIP',
            ' R ',
            'BJT'
        ], {
            O: '#forge:oak_trees',
            I: '#forge:special_trees',
            P: '#forge:tropical_trees',
            R: 'aoa3:blank_realmstone',
            B: '#forge:birch_trees',
            J: '#forge:jungle_trees',
            T: '#forge:tundra_trees'
    });
    //Ice and fire stews
    event.shaped('iceandfire:fire_stew', 
        [' E ',
        'RLR',
        ' B '
    ], {
        E: 'iceandfire:fire_dragon_blood',
        R: 'minecraft:blaze_rod',
        B: 'minecraft:bowl',
        L: 'iceandfire:fire_lily'
    });
    event.shaped('iceandfire:frost_stew', 
    [' E ',
    'RLR',
    ' B '
    ], {
        E: 'iceandfire:ice_dragon_blood',
        R: 'aoa3:ice_crystal',
        B: 'minecraft:bowl',
        L: 'iceandfire:frost_lily'
    });
    event.shaped('iceandfire:lightning_stew', 
    [' E ',
    'RLR',
    ' B '
    ], {
    E: 'iceandfire:lightning_dragon_blood',
    R: 'minecraft:chorus_flower',
    B: 'minecraft:bowl',
    L: 'iceandfire:lightning_lily'
    });
    //
    event.shaped('aoa3:exp_flask',
    [' G ',
     'III',
     'AAA'
    ], {
         G: 'minecraft:gold_block',
         I: 'minecraft:gold_ingot',
         A: 'aoa3:ancient_rock'
     });
    event.shaped('magicfeather:magicfeather',
    ['ASB',
    ' E ',
    'CSD'
    ], {
        A: 'minecraft:feather',
        B: 'iceandfire:stymphalian_bird_feather',
        C: 'alexsmobs:roadrunner_feather',
        D: 'iceandfire:amphithere_feather',
        E: 'minecraft:elytra',
        S: 'minecraft:shulker_shell'
    });
    event.shaped('securitycraft:mine',
    [' R ',
    'RFR',
    'WTW'], {
        R: 'minecraft:redstone',
        F: 'minecraft:fire_charge',
        W: 'minecraft:heavy_weighted_pressure_plate',
        T: 'minecraft:tnt'
    });
    event.shaped('aoa3:erebon_scythe',
    [
        'III',
        ' R ',
        'S  '
    ], {
        R: 'aoa3:nowhere_realmstone',
        S: '#forge:rods',
        I: 'relics:firesteel_ingot'
    });
    event.shaped('aoa3:luxon_scythe',
    [
        'III',
        ' R ',
        'S  '
    ], {
        R: 'aoa3:nowhere_realmstone',
        S: '#forge:rods',
        I: 'relics:aquasteel_ingot'
    });
    event.shaped('aoa3:selyan_scythe',
    [
        'III',
        ' R ',
        'S  '
    ], {
        R: 'aoa3:nowhere_realmstone',
        S: '#forge:rods',
        I: 'relics:terrasteel_ingot'
    });
    event.shaped('aoa3:pluton_scythe',
    [
        'III',
        ' R ',
        'S  '
    ], {
        R: 'aoa3:nowhere_realmstone',
        S: '#forge:rods',
        I: 'relics:airsteel_ingot'
    });
    event.shaped('relics:aquasteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:water_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:terrasteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:compass_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:airsteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:compass_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:firesteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:fire_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('locks:steel_lock_pick',
    [
        ' EE',
        ' E ',
        'E  '
    ], {
        E: 'relics:steel_ingot'
    });
    event.shaped('locks:steel_lock_mechanism',
    [
        'SSS',
        'NNN',
        'EEE'
    ],{
        S: 'locks:spring',
        N: 'minecraft:iron_nugget',
        E: 'relics:steel_ingot'
    });
    //Trofeos
    //Ender dragon
    event.shaped(Item.of('aoa3:gold_trophy', '{BlockEntityTag:{EntityID:"minecraft:ender_dragon",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.gold_trophy.desc","with":[{"translate":"entity.minecraft.ender_dragon"}]}\'}}'),
    [
        'TTT',
        'TTT',
        'TTT'
    ],{
        T: Item.of('aoa3:trophy', '{BlockEntityTag:{EntityID:"minecraft:ender_dragon",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.trophy.desc","with":[{"translate":"entity.minecraft.ender_dragon"}]}\'}}')
    });
    event.shaped(Item.of('aoa3:ornate_trophy', '{BlockEntityTag:{EntityID:"minecraft:ender_dragon",OriginalTrophy:1b},display:{Name:\'{"color":"light_purple","translate":"block.aoa3.ornate_trophy.desc","with":[{"translate":"entity.minecraft.ender_dragon"}]}\'}}'),
    [
        'TTT',
        'TTT',
        'TTT'
    ],{
        T: Item.of('aoa3:gold_trophy', '{BlockEntityTag:{EntityID:"minecraft:ender_dragon",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.gold_trophy.desc","with":[{"translate":"entity.minecraft.ender_dragon"}]}\'}}')
    });
    //Wither
    event.shaped(Item.of('aoa3:gold_trophy', '{BlockEntityTag:{EntityID:"minecraft:wither",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.gold_trophy.desc","with":[{"translate":"entity.minecraft.wither"}]}\'}}'),
    [
        'TTT',
        'TTT',
        'TTT'
    ],{
        T: Item.of('aoa3:trophy', '{BlockEntityTag:{EntityID:"minecraft:wither",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.trophy.desc","with":[{"translate":"entity.minecraft.wither"}]}\'}}')
    });
    event.shaped(Item.of('aoa3:ornate_trophy', '{BlockEntityTag:{EntityID:"minecraft:wither",OriginalTrophy:1b},display:{Name:\'{"color":"light_purple","translate":"block.aoa3.ornate_trophy.desc","with":[{"translate":"entity.minecraft.wither"}]}\'}}'),
    [
        'TTT',
        'TTT',
        'TTT'
    ],{
        T: Item.of('aoa3:gold_trophy', '{BlockEntityTag:{EntityID:"minecraft:wither",OriginalTrophy:1b},display:{Name:\'{"translate":"block.aoa3.gold_trophy.desc","with":[{"translate":"entity.minecraft.wither"}]}\'}}')
    });
    //grapplemod
    event.shaped('grapplemod:forcefieldupgradeitem',
    [
        'IUI',
        'CGC',
        'IEI'
    ],{
        E: 'minecraft:emerald',
        I: 'minecraft:iron_ingot',
        C: 'create:electron_tube',
        G: 'aoa3:gravity_blaster',
        U: 'grapplemod:baseupgradeitem'
    });
    event.shaped('grapplemod:motorupgradeitem',
    [
        'ZZZ',
        'CRC',
        'PUP'
    ],{
        Z: 'create:zinc_ingot',
        C: 'create:cogwheel',
        R: 'minecraft:redstone_block',
        P: 'create:propeller',
        U: 'grapplemod:baseupgradeitem'
    });
    event.shaped('grapplemod:staffupgradeitem',
    [
        ' IY',
        'IUI',
        'EI '
    ],{
        I: 'create:zinc_ingot',
        Y: 'minecraft:ender_eye',
        E: 'minecraft:emerald',
        U: 'grapplemod:baseupgradeitem'
    });
    event.shaped('grapplemod:rocketupgradeitem',
    [
        ' E ',
        'ZUZ',
        'ZGZ'
    ],{
        Z: 'create:zinc_ingot',
        G: 'quark:gunpowder_sack',
        E: 'alexsmobs:enderiophage_rocket',
        U: 'grapplemod:baseupgradeitem'
    });
})
